<?php
	require $_SERVER["DOCUMENT_ROOT"].'/inc/topo.php';
	require $_SERVER["DOCUMENT_ROOT"].'/inc/menu.php';
	requerPermissao('34'); // Atualizar bilhetes
	$mqueries = '';
	$code = $_POST["code"];
	$mqueries .= "UPDATE cupons SET cupom_situacao = '1', cupom_edicao = '$datetime', cupom_nota = '$nota' WHERE cupom_codigo = '$code'; ";

	foreach ($_POST["opcoes"] as $k => $v) {
		$mqueries .= "UPDATE apostas SET aposta_status = '$v' WHERE aposta_opcao_id = '$k' and aposta_cupom = '$code'; ";
	}

	$datetime = date('Y-m-d H:i:s');
	$nota = utf8_encode('Editado manualmente por '.$_SESSION["usuario"]["nome"].' (#'.$_SESSION["usuario"]["id"].')');
	$sqlmulti = mysqli_multi_query($mysqli, $mqueries);
	if($sqlmulti){
		$_SESSION["msg"] = 'O bilhete foi atualizado com sucesso! Agora, atualize o caixa.';
		$_SESSION["tipo_msg"] = 'success';
	}
	else {
		if($mysqli->error == 'Query was empty'){
			$_SESSION["msg"] = 'O bilhete foi atualizado com sucesso! Agora, atualize o caixa.';
			$_SESSION["tipo_msg"] = 'success';
		}
		else {
			$_SESSION["msg"] = 'Falha ao atualizar! Erro: '.$mysqli->error;
			$_SESSION["tipo_msg"] = 'danger';
		}
	}

    echo '<script type="text/javascript"> history.back("-1"); </script>'; exit;
?>